BOS_STATUS(8)

NAME
bos_status - Displays the status of server processes

SYNOPSIS
bos status -server <machine name> [-instance <server process name>+] [-long] [-cell <cell name>] [-noauth] [-localauth] [-help]

bos stat -s <machine name> [-i <server process name>+] [-lon] [-c <cell name>] [-n] [-loc] [-h]

DESCRIPTION
The bos status command reports the status of processes on the server machine named by the -server argument, either

•   All of the AFS server processes listed in the /etc/openafs/BosConfig file

•   Only these processes named by the -instance argument

OPTIONS

-server <machine name>
    Indicates the server machine for which to report server process status. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

-instance
    Names each process for which to report status. Use the process name assigned with the -instance argument to the bos command. The output from the bos status command lists the names.

-long
    Produces more detailed status information.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /etc/openafs/server/KeyFile or /etc/openafs/server/KeyFileExt file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output for a process includes at least one line, which reports one of the following as the process's current status:

•   "currently running normally". The process's status flag in the BosConfig file is "Run". For cron entries, this message indicates only that the command is scheduled to run, not necessarily that it was executing when the bos status command was issued.

•   "disabled". The process is not running, and its BosConfig status flag is "NotRun".

•   "temporarily disabled". The process is not running although its status flag in the BosConfig file is "Run". Either an administrator used the bos shutdown command to stop it, or the

•   BOS Server stopped trying to restart it after numerous failed attempts. In the second case, the auxiliary message is "stopped for too many errors".

•   "temporarily enabled". The process is running although its status flag in the BosConfig file is "NotRun". An administrator has used the bos startup command to start it.

If one of the following special circumstances applies to the process, the indicated message appears in its entry:

•   "has core file". The process failed and created a core file in the /var/log/openafs directory. If the BOS Server was able to restart the process after the failure, the primary status is "currently running normally".

•   "stopped for too many errors". The reason for the primary status "temporarily disabled" is that the BOS Server's attempts to restart the process all failed.

The entry for the fs process always includes a second line to report the process's "Auxiliary status", which is one of the following:

•   "file server running". The File Server and Volume Server components of the File Server process are running normally.

•   "salvaging file system". The Salvager is running, so the File Server and Volume Server are temporarily disabled. The BOS Server restarts them as soon as the Salvager is finished.

The entry for a cron process includes an "Auxiliary status" that reports when the command will next execute.

If the -long flag is used, each entry includes the following additional information:

•   The process's type ("simple", "fs", or "cron").

•   The day and time the process last started or restarted.

•   The number of "proc starts", which is how many times the BOS Server has started or restarted the process since it started itself.

•   The "Last exit" time when the process (or one of the component processes in the fs process) last terminated. This line does not appear if the process has not terminated since the BOS Server started.

•   The "Last error exit" time when the process (or one of the component processes in the fs process) last failed due to an error. A further explanation such as "due to shutdown request" sometimes appears. This line does not appear if the process has not failed since the BOS Server started.

•   Each command that the BOS Server invokes to start the process, as specified by the -cmd argument to the bos create command.

•   The pathname of the notifier program that the BOS Server invokes when the process terminates (if any), as specified by the -notifier argument to the bos create command.

If the -long flag is provided and the BOS Server discovers that the mode bits on files and subdirectories in the local /usr/afs directory differ from the expected values, it prints the following warning message:

   Bosserver reports inappropriate access on server directories

The following chart summarizes the expected mode bit settings. A question mark indicates that the BOS Server does not check that bit.

EXAMPLES
The following example command displays the status of processes on the machine fs3.example.com:

   % bos status fs3.example.com
   Instance buserver, currently running normally.
   Instance kaserver, currently running normally.
   Instance ptserver, currently running normally.
   Instance vlserver, currently running normally.
   Instance fs, has core file, currently running normally.
       Auxiliary status is: file server running.
   Instance upserver, currently running normally.

The following example command displays a detailed status report for the fs and ptserver processes on the machine fs1.example.com.

   % bos status -server fs1.example.com -instance fs ptserver -long
   Instance fs, (type is fs), currently running normally.
      Auxiliary status is: file server running.
      Process last started at Wed Jan 7 5:34:49 1998 (3 proc starts)
      Last exit at Wed Jan 7 5:34:49 1998
      Last error exit at Wed Jan 7 5:34:49 1998, due to shutdown
          request
      Command 1 is '/usr/lib/openafs/fileserver'
      Command 2 is '/usr/lib/openafs/volserver'
      Command 3 is '/usr/lib/openafs/salvager'
   Instance ptserver, (type is simple) currently running normally.
      Process last started at Tue Jan 6 8:29:19 1998 (1 proc starts)
      Command 1 is '/usr/lib/openafs/ptserver'

PRIVILEGE REQUIRED
None

SEE ALSO
BosConfig(5), KeyFile(5), KeyFileExt(5), bos(8), bos_create(8), bos_shutdown(8), bos_startup(8), bos_status(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.